## trillian 1.6.1

=== testdata/Makefile ===
all: pubkeys

# The following private keys are never regenerated.
SERVER_PRIVKEYS=log-rpc-server.privkey.pem map-rpc-server.privkey.pem

# Corresponding passwords:
LOG_RPC_PWD=towel
MAP_RPC_PWD=towel

# Server public keys are derived from the corresponding private keys.
SERVER_PUBKEYS=$(subst .privkey,.pubkey,$(SERVER_PRIVKEYS))

# Build public keys from private keys
pubkeys: $(SERVER_PUBKEYS)
map-rpc-server.pubkey.pem: map-rpc-server.privkey.pem
	openssl ec -in $< -pubout -out $@ -passin pass:$(MAP_RPC_PWD)
log-rpc-server.pubkey.pem: log-rpc-server.privkey.pem
	openssl ec -in $< -pubout -out $@ -passin pass:$(LOG_RPC_PWD)

clean:
	rm -f $(SERVER_PUBKEYS)

# The newkey target creates a fresh private key; should never be needed.
newkey: fresh.privkey.pem
fresh.privkey.pem:
	openssl ecparam -genkey -name prime256v1 -noout -out $@.unencrypted
	openssl ec -in $@.unencrypted -out $@ -des  # Prompts for password
	rm -f $@.unencrypted

## trillian 1.6.0

=== debian/changelog ===
trillian (1.6.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2024 06:12:16 -0400

trillian (1.6.0-1) experimental; urgency=medium

  * Initial release (Closes: #1060842)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 02 Feb 2024 00:34:34 +0100

=== debian/control ===
Source: trillian
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Simon Josefsson <simon@josefsson.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-bitbucket-creachadair-shell-dev,
               golang-etcd-server-dev,
               golang-github-cockroachdb-cockroach-go-dev,
               golang-github-go-redis-redis-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-golang-mock-dev,
               golang-github-google-btree-dev,
               golang-github-google-go-cmp-dev,
               golang-github-grpc-ecosystem-go-grpc-middleware-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-transparency-dev-merkle-dev,
               golang-go.opencensus-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-api-dev,
               golang-google-cloud-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-k8s-klog-dev,
               golang-pq-dev,
               golang-prometheus-client-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/trillian
Vcs-Git: https://salsa.debian.org/go-team/packages/trillian.git
Homepage: https://github.com/google/trillian
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/google/trillian

Package: golang-github-google-trillian-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-bitbucket-creachadair-shell-dev,
         golang-etcd-server-dev,
         golang-github-cockroachdb-cockroach-go-dev,
         golang-github-go-redis-redis-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-golang-mock-dev,
         golang-github-google-btree-dev,
         golang-github-google-go-cmp-dev,
         golang-github-grpc-ecosystem-go-grpc-middleware-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-transparency-dev-merkle-dev,
         golang-go.opencensus-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-api-dev,
         golang-google-cloud-dev,
         golang-google-genproto-dev,
         golang-google-grpc-dev,
         golang-google-protobuf-dev,
         golang-k8s-klog-dev,
         golang-pq-dev,
         golang-prometheus-client-dev,
         golang-yaml.v2-dev,
         ${misc:Depends}
Description: transparent scalable and cryptographically verifiable data store (library)
 Trillian is an implementation of the concepts described in the
 Verifiable Data Structures (/docs/papers/VerifiableDataStructures.pdf)
 white paper, which in turn is an extension and generalisation of the
 ideas which underpin Certificate Transparency (https://certificate-
 transparency.org).
 .
 Trillian implements a Merkle tree
 (https://en.wikipedia.org/wiki/Merkle_tree) whose contents are served
 from a data storage layer, to allow scalability to extremely large
 trees.  On top of this Merkle tree, Trillian provides the following:
 .
  * An append-only **Log** mode, analogous to the original
    Certificate Transparency (https://certificate-transparency.org) logs.
    In this mode, the Merkle tree is effectively filled up from the left,
    giving a *dense* Merkle tree.
 .
 Certificate Transparency (CT) (https://tools.ietf.org/html/rfc6962) is
 the most well-known and widely deployed transparency application, and an
 implementation of CT as a Trillian personality is available in the
 certificate-transparency-go repo (https://github.com/google/certificate-
 transparency-go/blob/master/trillian).
 .
 This package contains a stripped down library for use by rekor.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := \
	^github.com/google/trillian/cmd				\
	^github.com/google/trillian/docs			\
	^github.com/google/trillian/experimental		\
	^github.com/google/trillian/integration			\
	^github.com/google/trillian/monitoring			\
	^github.com/google/trillian/quota			\
	^github.com/google/trillian/server			\
	^github.com/google/trillian/storage/cloudspanner	\
	^github.com/google/trillian/storage/crdb		\
	^github.com/google/trillian/testonly			\
	^github.com/google/trillian/util/election2/etcd

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

override_dh_auto_test:
# 2024/01/23 06:54:39 db.Ping(): dial tcp 127.0.0.1:3306: connect: connection refused
# E0123 06:54:39.146285 3759376 storage_test.go:349] MySQL not available, skipping all MySQL storage tests
# ok  	github.com/google/trillian/storage/mysql	0.007s
# === RUN   TestMySQLWarning
# 2024/01/23 06:54:39 db.Ping(): dial tcp 127.0.0.1:3306: connect: connection refused
#     testdb_test.go:25: Deliberate test failure as a reminder that all storage-related tests are being skipped due to absent MySQL
# --- FAIL: TestMySQLWarning (0.00s)
# FAIL
# FAIL	github.com/google/trillian/storage/testdb	0.009s
	rm -fv _build/src/github.com/google/trillian/storage/testdb/testdb_test.go
	: dh_auto_test $(DH_BUILD_OPTS)

## trillian 1.6.1

=== debian/changelog ===
trillian (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.0.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 20:06:57 +0200

trillian (1.6.0-3) unstable; urgency=medium

  * Team upload
  * Disable quota plugin for redis. It has alpha status and not currently
    in testing.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2024 18:09:31 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                golang-bitbucket-creachadair-shell-dev,
                golang-etcd-server-dev,
                golang-github-cockroachdb-cockroach-go-dev,
-               golang-github-go-redis-redis-dev,
                golang-github-go-sql-driver-mysql-dev,
                golang-github-golang-mock-dev,
                golang-github-google-btree-dev,
@@ -31,7 +30,7 @@
                golang-pq-dev,
                golang-prometheus-client-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/trillian
 Vcs-Git: https://salsa.debian.org/go-team/packages/trillian.git
 Homepage: https://github.com/google/trillian
@@ -44,7 +43,6 @@
 Depends: golang-bitbucket-creachadair-shell-dev,
          golang-etcd-server-dev,
          golang-github-cockroachdb-cockroach-go-dev,
-         golang-github-go-redis-redis-dev,
          golang-github-go-sql-driver-mysql-dev,
          golang-github-golang-mock-dev,
          golang-github-google-btree-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	^github.com/google/trillian/integration			\
 	^github.com/google/trillian/monitoring			\
 	^github.com/google/trillian/quota			\
+	^github.com/google/trillian/redis			\
 	^github.com/google/trillian/server			\
 	^github.com/google/trillian/storage/cloudspanner	\
 	^github.com/google/trillian/storage/crdb		\

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/google/trillian/tags .*/v?(\d\S*)\.tar\.gz debian

## trillian 1.7.2

=== debian/changelog ===
trillian (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * Add golang-k8s-*-dev B-D/D's
  * Drop postgresql (due to #1120684)
  * Bump upstream copyright years

 -- Simon Josefsson <simon@josefsson.org>  Fri, 19 Dec 2025 18:12:17 +0100

trillian (1.6.1-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Drop Rules-Requires-Root: no
  * Standards-Version: 4.7.2
  * Modernize Salsa CI

  [ Chris Lamb ]
  * Fix reproducibility (Closes: #1120531)

  [ Simon Josefsson ]
  * Use watch v5
  * Tag patches as Forwarded:not-needed
  * Run tests but ignore failures for now
  * Fix Salsa CI wrap-and-sort
  * Use dh-sequence-golang
  * Typo fix grpc patch
  * Run tests but ignore TestMySQLWarning
  * Drop execute_before_dh_auto_install hack
  * Improve copyright years

 -- Simon Josefsson <simon@josefsson.org>  Fri, 19 Dec 2025 15:57:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-bitbucket-creachadair-shell-dev,
                golang-etcd-server-dev,
@@ -26,15 +26,18 @@
                golang-google-genproto-dev,
                golang-google-grpc-dev,
                golang-google-protobuf-dev,
+               golang-k8s-api-dev,
+               golang-k8s-apimachinery-dev,
+               golang-k8s-client-go-dev,
                golang-k8s-klog-dev,
+               golang-k8s-utils-dev,
                golang-pq-dev,
                golang-prometheus-client-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/trillian
 Vcs-Git: https://salsa.debian.org/go-team/packages/trillian.git
 Homepage: https://github.com/google/trillian
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/google/trillian
 
 Package: golang-github-google-trillian-dev
@@ -59,7 +62,11 @@
          golang-google-genproto-dev,
          golang-google-grpc-dev,
          golang-google-protobuf-dev,
+         golang-k8s-api-dev,
+         golang-k8s-apimachinery-dev,
+         golang-k8s-client-go-dev,
          golang-k8s-klog-dev,
+         golang-k8s-utils-dev,
          golang-pq-dev,
          golang-prometheus-client-dev,
          golang-yaml.v2-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,17 @@
 	^github.com/google/trillian/server			\
 	^github.com/google/trillian/storage/cloudspanner	\
 	^github.com/google/trillian/storage/crdb		\
+	^github.com/google/trillian/storage/postgresql		\
 	^github.com/google/trillian/testonly			\
 	^github.com/google/trillian/util/election2/etcd
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
 
 override_dh_auto_install:
 	dh_auto_install -- --no-binaries
+
+SKIP="TestMySQLWarning|TestNewClientDialOptionsFromFlagsWithTLSCertFileNotSet|TestNewClientDialOptionsFromFlagsWithTLSCertFileSet"
 
 override_dh_auto_test:
 # 2024/01/23 06:54:39 db.Ping(): dial tcp 127.0.0.1:3306: connect: connection refused
@@ -30,5 +33,5 @@
 # --- FAIL: TestMySQLWarning (0.00s)
 # FAIL
 # FAIL	github.com/google/trillian/storage/testdb	0.009s
-	rm -fv _build/src/github.com/google/trillian/storage/testdb/testdb_test.go
-	: dh_auto_test $(DH_BUILD_OPTS)
+	dh_auto_test $(DH_BUILD_OPTS) -- -skip $(SKIP)
+	-dh_auto_test $(DH_BUILD_OPTS) -- -run $(SKIP)

=== debian/watch ===
Version: 5
Template: Github
Owner: google
Project: trillian
